com.amazonaws.services.codebuild.model

## Class PhaseContext

- java.lang.Object
- - com.amazonaws.services.codebuild.model.PhaseContext

All Implemented Interfaces:
  Serializable, Cloneable

    public class PhaseContext
    extends Object
    implements Serializable, Cloneable

Additional information about a build phase that has an error, which you can use to help troubleshoot a failed build.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PhaseContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PhaseContext` `clone()`
`boolean` `equals(Object obj)`
`String` `getMessage()` An explanation of the build phase's context.
`String` `getStatusCode()` The status code for the context of the build phase.
`int` `hashCode()`
`void` `setMessage(String message)` An explanation of the build phase's context.
`void` `setStatusCode(String statusCode)` The status code for the context of the build phase.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PhaseContext` `withMessage(String message)` An explanation of the build phase's context.
`PhaseContext` `withStatusCode(String statusCode)` The status code for the context of the build phase.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PhaseContext

    public PhaseContext()

### Method Detail

#### setStatusCode

    public void setStatusCode(String statusCode)

The status code for the context of the build phase.

Parameters:
  `statusCode` - The status code for the context of the build phase.

#### getStatusCode

    public String getStatusCode()

The status code for the context of the build phase.

Returns:
  The status code for the context of the build phase.

#### withStatusCode

    public PhaseContext withStatusCode(String statusCode)

The status code for the context of the build phase.

Parameters:
  `statusCode` - The status code for the context of the build phase.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

An explanation of the build phase's context. This explanation may include a command ID and an exit code.

Parameters:
  `message` - An explanation of the build phase's context. This explanation may include a command ID and an exit code.

#### getMessage

    public String getMessage()

An explanation of the build phase's context. This explanation may include a command ID and an exit code.

Returns:
  An explanation of the build phase's context. This explanation may include a command ID and an exit code.

#### withMessage

    public PhaseContext withMessage(String message)

An explanation of the build phase's context. This explanation may include a command ID and an exit code.

Parameters:
  `message` - An explanation of the build phase's context. This explanation may include a command ID and an exit code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PhaseContext clone()

Overrides:
  `clone` in class `Object`